summaryrefslogtreecommitdiffstats
path: root/system/fish/fish.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--system/fish/fish.SlackBuild2
1 files changed, 2 insertions, 0 deletions
diff --git a/system/fish/fish.SlackBuild b/system/fish/fish.SlackBuild
index 2dc1e83108..c4e5506c41 100644
--- a/system/fish/fish.SlackBuild
+++ b/system/fish/fish.SlackBuild
@@ -114,6 +114,8 @@ cd build
-DCMAKE_BUILD_TYPE=Release ..
make
make install/strip DESTDIR=$PKG
+ find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
cd ..
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION